Foreman - Feature #28868

hammer does not inherit parent location information
01/28/2020 09:18 AM - Shira Maximov

Status: Closed

Priority: Normal

Assignee: Shira Maximov

Category: Organizations and Locations

Target version:

Difficulty: Fixed in Releases: 2.1.0
Triaged: No Found in Releases:
Bugzilla link: 1733241 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/7434,

https://github.com/theforeman/foreman/p

ull/7502,

https://github.com/theforeman/foreman/p

ull/7530
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1733241

Description of problem:

subnets and the templates that are configured in the parent location should also be visible in "hammer location info --name
child_location". Unlike it shows correctly in GUL.

Version-Release number of selected component (if applicable):

6.5

How reproducible:

100%

Steps to Reproduce:

1. Create a parent and child location on GUI.

2. Create a Subnet under parent and another subnet under child location.

3. Now get the information of location through hammer.

1. hammer location info --show-hidden-parameters yes --name child_location ---> It will show subnet which is associated only
with child_location.

1. hammer location info --show-hidden-parameters yes --name parent_location ---> It will show subnet which is associated only
with parent_location.

Actual results:

1. hammer location info --show-hidden-parameters yes --name child_location ---> It will show subnet which is associated only
with child_location.

1. hammer location info --show-hidden-parameters yes --name parent_location ---> It will show subnet which is associated only
with parent_location.

Expected results:
Manage Locations >> Parent_Location >> Subnets ---> It will show both subnets under parent & child location.

Manage Locations >> Child_Location >> Subnets ---> It will show both subnets under parent & child location. As inherited from
parent.
The above behavior should also be reflected by hammer/API
Additional info:

The same behavior has been observed for provisioning template as well.

Related issues:
Related to Hammer CLI - Bug #28984: Add location inherited parameters Resolved

Associated revisions

Revision 342b168b - 03/16/2020 05:40 PM - Shira Maximov
Fixes #28868 - Add location inherited parameters

History

#1 - 02/11/2020 02:38 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Shira Maximov

- Pull request https://github.com/theforeman/foreman/pull/7434 added

#2 - 03/11/2020 12:55 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/7502 added

#3 - 03/16/2020 05:41 PM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#4 - 03/16/2020 06:01 PM - Shira Maximov
- Status changed from Ready For Testing to Closed

Applied in changeset 342b168b6bb385024d58d27864aa581d859fed17.

#5 - 03/17/2020 12:02 PM - Tomer Brisker
- Related to Bug #28984: Add location inherited parameters added

#6 - 03/18/2020 10:14 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/7530 added
